package abacus.springboot.example.api.view;

import java.util.List;

import abacus.springboot.example.dao.JcBillPhoto;
import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "回购订单列表" , name = "ApiJcBillHgSearchItem")
public class ApiJcBillHgSearchItem {

	@Schema(description="回购订单号", required = false, example="HG202412080001")
	private String billHg;
	
	@Schema(description="状态", required = false, pattern = "待提交：1，待付款：2，待分仓（已付款）：3，已分仓（待出库）：4，已出库：5", example = "1")
	private int status;
	
	@Schema(description="客户编码", required = false, example="2020089")
	private String account;
	
	@Schema(description="回购订单号", required = false, example="广东众之品酒有限公司")
	private String accountname;
	
	@Schema(description="运营经理编码", required = false, example="zhangsan")
	private String manager;
	
	@Schema(description="运营经理名称", required = false, example="张三")
	private String managername;
	
	@Schema(description="品种个数", required = false, example="1")
	private int breednum;
	
	@Schema(description="件数", required = false, example="2")
	private int numbers;
	
	@Schema(description = "物流公司名称", required = false, example = "京东")
	private String logisticsname;
	
	@Schema(description = "物流单号", required = false, example = "JD20240000001")
	private String logisticsno;
	
	@Schema(description = "金额", required = false, example = "1000")
	private double subtotal;
	
	@Schema(description="回购通知函", required = false, example="")
	private String tzhUrl;
	
	@Schema(description="违规回购通知函", required = false, example="")
	private List<JcBillPhoto> wgtzhUrl;
	
	@Schema(description="支付凭证", required = false, example="")
	private List<JcBillPhoto> zfpzUrl;
	
	@Schema(description="支付方式", required = false, example="")
	private List<ApiBillHgPayment> payments;
	
	public double getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(double subtotal) {
		this.subtotal = subtotal;
	}

	public List<ApiBillHgPayment> getPayments() {
		return payments;
	}

	public void setPayments(List<ApiBillHgPayment> payments) {
		this.payments = payments;
	}

	public String getTzhUrl() {
		return tzhUrl;
	}

	public void setTzhUrl(String tzhUrl) {
		this.tzhUrl = tzhUrl;
	}

	public List<JcBillPhoto> getWgtzhUrl() {
		return wgtzhUrl;
	}

	public void setWgtzhUrl(List<JcBillPhoto> wgtzhUrl) {
		this.wgtzhUrl = wgtzhUrl;
	}

	public List<JcBillPhoto> getZfpzUrl() {
		return zfpzUrl;
	}

	public void setZfpzUrl(List<JcBillPhoto> zfpzUrl) {
		this.zfpzUrl = zfpzUrl;
	}

	public String getBillHg() {
		return billHg;
	}

	public void setBillHg(String billHg) {
		this.billHg = billHg;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getAccount() {
		return account;
	}

	public void setAccount(String account) {
		this.account = account;
	}

	public String getAccountname() {
		return accountname;
	}

	public void setAccountname(String accountname) {
		this.accountname = accountname;
	}

	public String getManager() {
		return manager;
	}

	public void setManager(String manager) {
		this.manager = manager;
	}

	public String getManagername() {
		return managername;
	}

	public void setManagername(String managername) {
		this.managername = managername;
	}

	public int getBreednum() {
		return breednum;
	}

	public void setBreednum(int breednum) {
		this.breednum = breednum;
	}

	public int getNumbers() {
		return numbers;
	}

	public void setNumbers(int numbers) {
		this.numbers = numbers;
	}

	public String getLogisticsname() {
		return logisticsname;
	}

	public void setLogisticsname(String logisticsname) {
		this.logisticsname = logisticsname;
	}

	public String getLogisticsno() {
		return logisticsno;
	}

	public void setLogisticsno(String logisticsno) {
		this.logisticsno = logisticsno;
	}
	
}
